## flake 0.10

=== Makefile ===
#
# Flake Main Makefile
#
include config.mak

VPATH=$(SRC_PATH)

CFLAGS=$(OPTFLAGS) -I. -I$(SRC_PATH) -I$(SRC_PATH)/libflake \
	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE

LDFLAGS+= -g

DEP_LIBS=libflake/$(LIBPREF)flake$(LIBSUF)

FLAKE_LIBDIRS = -L./libflake
FLAKE_LIBS = -lflake$(BUILDSUF)

all: lib progs utils
    
lib:
	$(MAKE) -C libflake all

progs:
	$(MAKE) -C flake all

utils:
	$(MAKE) -C util all

.PHONY: install

install: install-progs install-libs install-headers

install-progs: progs
	$(MAKE) -C flake install
	$(MAKE) -C util install

install-libs:
	$(MAKE) -C libflake install-libs

install-headers:
	$(MAKE) -C libflake install-headers

uninstall: uninstall-progs uninstall-libs uninstall-headers

uninstall-progs:
	$(MAKE) -C flake uninstall-progs
	$(MAKE) -C util uninstall-progs

uninstall-libs:
	$(MAKE) -C libflake uninstall-libs

uninstall-headers:
	$(MAKE) -C libflake uninstall-headers
	-rmdir "$(incdir)"

dep:	depend

depend:
	$(MAKE) -C libflake depend
	$(MAKE) -C flake    depend
	$(MAKE) -C util     depend

.libs: lib
	@test -f .libs || touch .libs
	@for i in $(DEP_LIBS) ; do if test $$i -nt .libs ; then touch .libs; fi ; done

clean:
	$(MAKE) -C libflake clean
	$(MAKE) -C flake    clean
	$(MAKE) -C util     clean
	rm -f *.o *.d *~

distclean: clean
	$(MAKE) -C libflake distclean
	$(MAKE) -C flake    distclean
	$(MAKE) -C util     distclean
	rm -f .depend config.*

# tar release (use 'make -k tar' on a checkouted tree)
FILE=flake-$(shell grep "\#define FLAKE_VERSION " libflake/flake.h | \
                    cut -d " " -f 3 )

tar: distclean
	rm -rf /tmp/$(FILE)
	cp -r . /tmp/$(FILE)
	(tar --exclude config.mak --exclude .svn -C /tmp -jcvf $(FILE).tar.bz2 $(FILE) )
	rm -rf /tmp/$(FILE)

config.mak:
	touch config.mak

.PHONY: lib

ifneq ($(wildcard .depend),)
include .depend
endif

=== flake/Makefile ===
#
# Flake Program Makefile
#
include ../config.mak

VPATH=$(SRC_PATH)

CFLAGS=$(OPTFLAGS) -I. -I.. -I$(SRC_PATH)/libflake \
	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE

LDFLAGS+= -g

PROGS_G=flake_g$(EXESUF)
PROGS=flake$(EXESUF)

OBJS = flake.o wav.o
SRCS = $(OBJS:.o=.c)
FLAKE_LIBDIRS = -L../libflake
FLAKE_LIBS = -lflake$(BUILDSUF)

all: $(PROGS_G) $(PROGS)

flake_g$(EXESUF): flake.o wav.o libflake/libflake.a
	$(CC) $(FLAKE_LIBDIRS) $(LDFLAGS) -o $@ flake.o wav.o $(FLAKE_LIBS) $(EXTRALIBS)
	cp -p flake_g$(EXESUF) flake$(EXESUF)
	$(STRIP) flake$(EXESUF)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

install: install-progs

install-progs: $(PROGS)
	install -d "$(bindir)"
	install -c $(INSTALLSTRIP) -m 755 $(PROGS) "$(bindir)"

uninstall: uninstall-progs

uninstall-progs:
	rm -f $(addprefix $(bindir)/, $(PROGS))

dep:	depend

depend: .depend

.depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

clean:
	rm -f *.o *~ \
	   $(PROGS) $(PROGS_G)

distclean: clean
	rm -f .depend ../config.*

../config.mak:
	touch ../config.mak

ifneq ($(wildcard .depend),)
include .depend
endif

=== libflake/Makefile ===
#
# Flake Library Makefile
#
include ../config.mak

CFLAGS=$(OPTFLAGS) -I. -I.. -I$(SRC_PATH)/libaften \
       -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE

OBJS= bitio.o crc.o encode.o lpc.o md5.o optimize.o rice.o \


HEADERS = flake.h

NAME=flake

SRC_DIR = $(SRC_PATH)/lib$(NAME)
VPATH = $(SRC_DIR)

SRCS := $(OBJS:.o=.c)
OBJS := $(OBJS)
STATIC_OBJS := $(OBJS) $(STATIC_OBJS)

all: $(EXTRADEPS) $(LIB)

$(LIB): $(STATIC_OBJS)
	rm -f $@
	$(AR) rc $@ $^ $(EXTRAOBJS)
	$(RANLIB) $@

%.o: %.c
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $<

%.o: %.S
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $<

# BeOS: remove -Wall to get rid of all the "multibyte constant" warnings
%.o: %.cpp
	g++ $(subst -Wall,,$(CFLAGS)) -c -o $@ $<

depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

dep:	depend

clean:
	rm -f *.o *.d *~ *.a *.lib *.so *.so.* *.dylib *.dll \
	      *.lib *.def *.dll.a *.exp

distclean: clean
	rm -f .depend

INSTLIBTARGETS += install-lib-static

install: install-libs install-headers

install-libs: $(INSTLIBTARGETS)

install-lib-static: $(LIB)
	install -d "$(libdir)"
	install -m 644 $(LIB) "$(libdir)"

install-headers:
	install -d "$(incdir)"
	install -m 644 $(addprefix "$(SRC_DIR)"/,$(HEADERS)) "$(incdir)"

uninstall: uninstall-libs uninstall-headers

uninstall-libs:
	-rm -f $(libdir)/$(LIB)

uninstall-headers:
	rm -f $(addprefix $(incdir)/,$(HEADERS))

../config.mak:
	touch ../config.mak

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== util/Makefile ===
#
# Flake Util Makefile
#
include ../config.mak

VPATH=$(SRC_PATH)

CFLAGS=$(OPTFLAGS) -I. -I.. -I$(SRC_PATH)/flake \
       -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE

LDFLAGS+= -g

PROGS=wavinfo$(EXESUF)

OBJS = wavinfo.o ../flake/wav.o
SRCS = $(OBJS:.o=.c)

all: $(PROGS)

wavinfo$(EXESUF): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(EXTRALIBS)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

install:

dep:	depend

depend: .depend

.depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

clean:
	rm -f *.o *~ \
	   $(PROGS)

distclean: clean
	rm -f .depend ../config.*

../config.mak:
	touch ../config.mak

ifneq ($(wildcard .depend),)
include .depend
endif

## flake 0.11

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,10 @@
 VPATH=$(SRC_PATH)
 
 CFLAGS=$(OPTFLAGS) -I. -I$(SRC_PATH) -I$(SRC_PATH)/libflake \
-	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE
+	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE \
+	-DHAVE_CONFIG_H
 
 LDFLAGS+= -g
-
-DEP_LIBS=libflake/$(LIBPREF)flake$(LIBSUF)
 
 FLAKE_LIBDIRS = -L./libflake
 FLAKE_LIBS = -lflake$(BUILDSUF)
@@ -32,7 +31,6 @@
 
 install-progs: progs
 	$(MAKE) -C flake install
-	$(MAKE) -C util install
 
 install-libs:
 	$(MAKE) -C libflake install-libs
@@ -44,14 +42,12 @@
 
 uninstall-progs:
 	$(MAKE) -C flake uninstall-progs
-	$(MAKE) -C util uninstall-progs
 
 uninstall-libs:
 	$(MAKE) -C libflake uninstall-libs
 
 uninstall-headers:
 	$(MAKE) -C libflake uninstall-headers
-	-rmdir "$(incdir)"
 
 dep:	depend
 
@@ -59,10 +55,6 @@
 	$(MAKE) -C libflake depend
 	$(MAKE) -C flake    depend
 	$(MAKE) -C util     depend
-
-.libs: lib
-	@test -f .libs || touch .libs
-	@for i in $(DEP_LIBS) ; do if test $$i -nt .libs ; then touch .libs; fi ; done
 
 clean:
 	$(MAKE) -C libflake clean

=== flake/Makefile ===
--- 
+++ 
@@ -3,24 +3,25 @@
 #
 include ../config.mak
 
-VPATH=$(SRC_PATH)
-
 CFLAGS=$(OPTFLAGS) -I. -I.. -I$(SRC_PATH)/libflake \
-	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE
+	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE \
+	-DHAVE_CONFIG_H
 
 LDFLAGS+= -g
+
+DEP_LIBS=$(SRC_PATH)/libflake/$(LIBPREF)flake$(LIBSUF)
 
 PROGS_G=flake_g$(EXESUF)
 PROGS=flake$(EXESUF)
 
 OBJS = flake.o wav.o
 SRCS = $(OBJS:.o=.c)
-FLAKE_LIBDIRS = -L../libflake
+FLAKE_LIBDIRS = -L$(SRC_PATH)/libflake
 FLAKE_LIBS = -lflake$(BUILDSUF)
 
 all: $(PROGS_G) $(PROGS)
 
-flake_g$(EXESUF): flake.o wav.o libflake/libflake.a
+flake_g$(EXESUF): flake.o wav.o $(DEP_LIBS)
 	$(CC) $(FLAKE_LIBDIRS) $(LDFLAGS) -o $@ flake.o wav.o $(FLAKE_LIBS) $(EXTRALIBS)
 	cp -p flake_g$(EXESUF) flake$(EXESUF)
 	$(STRIP) flake$(EXESUF)
@@ -47,7 +48,7 @@
 	$(CC) -MM $(CFLAGS) $^ 1>.depend
 
 clean:
-	rm -f *.o *~ \
+	rm -f *.o *.d *~ *.a *.lib *.def *.exp \
 	   $(PROGS) $(PROGS_G)
 
 distclean: clean

=== libflake/Makefile ===
#
# Flake Library Makefile
#
include ../config.mak

CFLAGS=$(OPTFLAGS) -I. -I.. -I$(SRC_PATH)/libflake \
	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE \
	-DHAVE_CONFIG_H

OBJS= crc.o encode.o lpc.o md5.o optimize.o rice.o vbs.o \


HEADERS = flake.h

NAME=flake

SRC_DIR = $(SRC_PATH)/lib$(NAME)
VPATH = $(SRC_DIR)

SRCS := $(OBJS:.o=.c)

all: $(EXTRADEPS) $(LIB)

$(LIB): $(OBJS)
	rm -f $@
	$(AR) rc $@ $^ $(EXTRAOBJS)
	$(RANLIB) $@

%.o: %.c
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $<

depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

dep:	depend

clean:
	rm -f *.o *.d *~ *.a *.lib *.def *.exp

distclean: clean
	rm -f .depend

install: install-libs install-headers

install-libs: $(LIB)
	install -d "$(libdir)"
	install -m 644 $(LIB) "$(libdir)"
	$(LIB_INSTALL_EXTRA_CMD)

install-headers:
	install -d "$(incdir)"
	install -m 644 $(addprefix "$(SRC_DIR)"/,$(HEADERS)) "$(incdir)"

uninstall: uninstall-libs uninstall-headers

uninstall-libs:
	-rm -f "$(libdir)/$(LIB)"

uninstall-headers:
	rm -f "$(addprefix $(incdir)/,$(HEADERS))"

../config.mak:
	touch ../config.mak

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== util/Makefile ===
--- 
+++ 
@@ -3,16 +3,15 @@
 #
 include ../config.mak
 
-VPATH=$(SRC_PATH)
-
 CFLAGS=$(OPTFLAGS) -I. -I.. -I$(SRC_PATH)/flake \
-       -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE
+	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE \
+	-DHAVE_CONFIG_H
 
 LDFLAGS+= -g
 
 PROGS=wavinfo$(EXESUF)
 
-OBJS = wavinfo.o ../flake/wav.o
+OBJS = wavinfo.o $(SRC_PATH)/flake/wav.o
 SRCS = $(OBJS:.o=.c)
 
 all: $(PROGS)
@@ -34,6 +33,7 @@
 
 clean:
 	rm -f *.o *~ \
+	*.d *.a *.lib *.def *.exp \
 	   $(PROGS)
 
 distclean: clean

=== debian/changelog ===
flake (0.11-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --cc and --cross-compile to ./configure. (Closes: 922521)

  [ Dylan Aïssi ]
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * watch file standard 4 (routine-update)
  * debian/copyright: Convert to machine-readable format

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Aug 2025 13:05:25 +0200

flake (0.11-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Remove Joost Yervante Damad from uploader list (Closes: #868833)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12
  * debian/rules: Merge make invocations

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Oct 2019 20:20:07 +0200

flake (0.11-3) unstable; urgency=medium

  * Team upload.
  * debian/{rules,control,compat}: Bump compat to 10.
  * debian/control:
    - Change priority to optional.
    - Bump Standards-Version.
    - Update Vcs-*.
    - Remove unnecessary shlibs:Depends.
  * debian/rules: Handle all *FLAGS and pass correct cpu.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Mar 2017 13:42:48 +0100

flake (0.11-2) unstable; urgency=low

  * Update my email address.
  * debian/patches/1001-buffer_overrun.patch:
    - libflake/lpc.c: Pass max_order instead of max_order+1 to
      compute_lpc_coefs(). This avoids a buffer overrun in the
      autoc[] array.

 -- Alessio Treglia <alessio@debian.org>  Fri, 19 Nov 2010 12:57:42 +0100

flake (0.11-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 7.
  * Update and fix debian/watch.
  * debian/control:
    - Change Maintainer to Debian Multimedia Maintainers.
    - Add myself to Uploaders.
    - Allow uploads by debian maintainers.
    - Bump Standards up to 3.8.3.
    - Move project's URL to the Homepage field value.
    - Add Vcs-* fields.
    - Move libflake-dev into libdevel section.
  * debian/copyright:
    - Replace (c) with © to fix copyright-with-old-dh-make-debian-copyright
      lintian warning.
    - Point to the correct GPL license file; fix
      copyright-refers-to-symlink-license lintian warning.
  * debian/menu:
    - Fix menu-item-uses-apps-section lintian warning.
  * libflake/md5.c: Drop changes, adopted upstream.
  * Remove useless debian/dirs.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 04 Jan 2010 10:53:57 +0100

flake (0.10-3) unstable; urgency=low

  * Pass --disable-strip to configure script (Closes: #436849)

 -- Thomas Perl <thp@perli.net>  Fri, 21 Sep 2007 17:51:02 +0200

flake (0.10-2) unstable; urgency=low

  * hopefully fix FTBFS (Closes: #434117)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 03 Sep 2007 19:55:07 +0200

flake (0.10-1) unstable; urgency=low

  [ Thomas Perl ]
  * Initial release (Closes: #425255)

  [ Free Ekanayaka ]
  * Set Debian Multimedia Team as maintaner
  * Added thomas and myself  to uploaders
  * Added watch filex

 -- Free Ekanayaka <freee@debian.org>  Fri,  8 Jun 2007 21:53:15 +0200

=== debian/control ===
Source: flake
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Thomas Perl <thp@perli.net>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://flake-enc.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/flake.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/flake
Rules-Requires-Root: no

Package: flake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternative encoder for the Free Lossless Audio Codec
 The purpose of Flake is to be an alternative to the
 FLAC reference encoder with the goal of increasing
 encoding speed and implementing experimental features.
 .
 Flake encodes WAV audio files into lossless FLAC files.

Package: libflake-dev
Architecture: any
Depends: ${misc:Depends}
Section: libdevel
Description: Alternative encoder for the Free Lossless Audio Codec -- Development files
 The purpose of Flake is to be an alternative to the
 FLAC reference encoder with the goal of increasing
 encoding speed and implementing experimental features.
 .
 Flake encodes WAV audio files into lossless FLAC files.
 .
 This package contains the static library and header files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --cpu=$(DEB_HOST_ARCH) --cc=$(CC) $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,--cross-compile) --disable-strip --prefix=/usr

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/flake $(MAKE) install-progs
	DESTDIR=$(CURDIR)/debian/libflake-dev $(MAKE) install-libs install-headers

override_dh_installchangelogs:
	dh_installchangelogs Changelog

=== debian/watch ===
version=4
https://sf.net/flake-enc/flake-([\d\.]*)\.tar\.bz2 debian uupdate
